#ifndef SETTINGS_H
#define SETTINGS_H

#include <gccore.h>
#include <dirent.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fat.h>
#include <unistd.h>
#include <ogc/usbstorage.h>
#include <stdio.h>
#include <stdlib.h>
#include <wiiuse/wpad.h>
#include <string.h>
#include <time.h>

#include <curl/curl.h>
#include <grrlib.h>
#include "FreeMonoBold_ttf.h"

typedef struct dlf{
	FILE* fp;
	char fnam[1000];
	char fnam2[500];
	int fileid;
	int fileindex;
}dlf;
char* FileNameParse(char* path);
void DLFhandler(dlf* dl,size_t real);
void OpenPlaylistFile(char* playlist);
	char* OpenFile(char* fname);
	char* OpenPlaylistVideoFile(char* playlist,char* video);
	
FILE* HistoryRead();
FILE* HistoryAppend();
int UsingIRFeatures();
int FileSystemDrivers();
void WriteFile2PL(char* fil,char* type,char* url,char* filename);
void CreatePL(char* fil);
char* OpenVideoFile(char* filename);
char* ThumbnailFileName(char* filename);
int ThumbnailExists(char* id);
int CreateFolders();
char* ThumbnailURL(char* id);
FILE* PlaylistTXT(char* fil);
char* Temp();

void DeleteTemp();
void SwitchIR();
#endif
